public class ColoredCircle2 extends Circle2 {
    public static final int RED = 1, BLUE = 2;
    
    private int color;
    
    public ColoredCircle2(double radius, int color) {
        super(radius);
        this.color = color;
    }
    
    public boolean equals(Object obj) {
        if (obj instanceof ColoredCircle2) {
            ColoredCircle2 other = (ColoredCircle2) obj;
            return super.equals(other) && this.color == other.color;
        } else {
            return false;
        }
    }
    
    public static void testSymmetry() {
        Circle2 c1 = new Circle2(2.5);
        Circle2 c2 = new ColoredCircle2(2.5, RED);        
        System.out.println(c1.equals(c2));
        System.out.println(c2.equals(c1));
    }
    
}
