public class Rational1 {
  private long n = 0; // numerator
  private long d = 1; // denominator

  public void setNumerator(long n) {
      this.n = n;
  }
  
  public void setDenominator(long d) {
      if (d != 0) 
            this.d = d;
      else 
            System.err.println("division by 0");
  }
  
  public String toString() {
      return (this.n + "/" + this.d);
  }
  
  public Rational1 multiply(Rational1 other) {
      Rational1 product = new Rational1();
      product.n = this.n * other.n;
      product.d = this.d * other.d;
      return product;
  }
  
  public Rational1 add(Rational1 other) {
      Rational1 sum = new Rational1();
      sum.n = this.n * other.d + this.d * other.n;
      sum.d = this.d * other.d;
      return sum;
  }

  public Rational1 negate(Rational1 other) {
      Rational1 negated = new Rational1();
      negated.n = -this.n;
      negated.d = this.d;
      return negated;
  }

}
