public class Circle2 {
    private double radius;
    
    public Circle2(double radius) {
        this.radius = radius;
    }
    
    public boolean equals(Object obj) {
        if (obj instanceof Circle2) {
            Circle2 other = (Circle2) obj;
            return this.radius == other.radius;
        } else {
            return false;
        }
    }
    
    public static void testDynamicBinding() {
        Circle2 c1 = new Circle2(2.5);
        Circle2 c2 = new Circle2(2.5);
        Object o1 = c1;
        Object o2 = c2;
        System.out.println(c1.equals(c2));
        System.out.println(o1.equals(o2));
    }
}