public class CloneTest {
    public static void test() throws CloneNotSupportedException {
        Address a = new Address("Wien");
        Person p1 = new Person("Hugo", a);
        Person p2 = p1.clone();
        a.setTown("Innsbruck");
        System.out.println(p1);
        System.out.println(p2);
        
        p1 = new Teacher("Ute", a);
        p2 = p1.clone();
        System.out.println(p2);
        
        Teacher t2 = new Teacher("Paul", a);
        Person[] s1 = {t2};
        Person[] s2 = {p1};
        ((Teacher) p1).setStudents(s1);
        t2.setStudents(s2);
        p2 = p1.clone();
        System.out.println(p2);
    }
}