public class Person implements Cloneable {
    private String name;
    private Address address;
    
    public Person(String name, Address address) {
        this.name = name;
        this.address = address;
    }
        
    public String toString() {
        return this.name + " @ " + this.address;
    }
    
    public Person clone() throws CloneNotSupportedException {
        Person p = (Person)super.clone();
        // after shallow copy clone mutable member variables
        p.address = p.address.clone();
        return p;
    }    

}