public class Stack3 {
  private int size = 20;
  private String[] data = new String[size];
  private int position = 0;
  
  public String pop() {
    String s;
    if (this.position > 0) {
      this.position--;
      s = this.data[this.position];
      this.data[this.position] = null;
      if (this.position < this.size / 4 && this.size > 20) {
        this.resize(this.size / 2);
      }    
    } else {
      s = null;
    }
    return s;
  }
  
  public void push(String s) {
    if (this.position == this.size) {
      this.resize(this.size * 2);
    }
    this.data[this.position] = s;
    this.position++;
  }
  
  public boolean isEmpty() {
    return (this.position == 0);
  }
  
  public int size() {
    return this.position;
  }
  
  private void resize(int size) {
    String[] data = new String[size];
    for (int i = 0; i < position; i++)
      data[i] = this.data[i];
    this.data = data;
    this.size = size;
  }
}
